#ifndef QT5GESTUREEXTENSIONS_GLOBAL_H
#define QT5GESTUREEXTENSIONS_GLOBAL_H

#include <QtCore/qglobal.h>

#if defined(QT5GESTUREEXTENSIONS_LIBRARY)
#  define QT5GESTUREEXTENSIONS_EXPORT Q_DECL_EXPORT
#else
#  define QT5GESTUREEXTENSIONS_EXPORT Q_DECL_IMPORT
#endif

/*!
 * \brief QLibrary only can use C-style interface, so provide
 * GestureExtensionManager class at the same time provide C interface
*/
class QWidget;
class QObject;
extern "C" void registerWidget(QWidget* widget, QObject* parent);
extern "C" void unregisterWidget(QWidget* widget, QObject* parent);

#endif // QT5GESTUREEXTENSIONS_GLOBAL_H
